DCSi Solutions

Terminal Emulation / Telnet for Windows

DCSi Newsletter Signup

Terminal Emulation Software

E-Term32 Version 6.0 for Windows 7, Windows 8, and XP

VT320, VT100, WYSE 50 and ANSI Terminal Emulation

Version 6 of E-Term32 is compatible with Windows 8 as a desktop application. It is also fully compatible with Windows 7, Vista and XP. Version 6.0 includes upgrades to support IPV6 Internet Connections, a new version of OpenSSH/SSL that is not vulnerable to the Heartbleed bug and an upgraded version of WSFTP. Upgrades from older versions of E-Term32 are available in the store.

E-Term32 Plus Version 6.0 for Windows 7, Windows 8, and XP

Includes all features of E-Term32 plus VT340 emulation with reGIS graphics

E-Term for IBM Version 4.0 for Windows 7, Windows 8 and XP

   TN5250 and TN3270 Terminal Emulation

Version 4.0 of E-Term for IBM includes a new and improved Connection Dialog Menu, support for IPV6 Internet connections, an upgraded OpenSSL library that eliminates the vulnerability to the Heartbleed bug and an upgraded version of WSFTP.

E-Term Enterprise 6.0-4.0 for Windows 7, Windows 8 and XP

   Includes both E-Term32 and E-Term for IBM in one package

Terminal Emulation – Competitive Upgrades

Looking for a new terminal emulator that performs better or has less expensive yearly maintenance? Upgrade to a DCSi terminal emulator. We make upgrading easy and inexpensive. Call us at 1-877-600-8657 or 303-447-9251 for more information or contact us through email.

DCSi’s primary business is Terminal Emulation; we have been in it since 1984 and we have not been bought out by an investment group. If you are tired of dealing with big company bureaucracy and high maintenance fees, give us a call.